/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

Ti.include('shared.js');

titleHolder  = title('Favorieten', true);
currentWindow.add(titleHolder);

soort = Ti.UI.createView({
	top: scale(47),
	left: 0,
	right: 0,
	height:scale(65),
	backgroundImage:'images/soort_bg.png',
});

lijstButton = Ti.UI.createButton({
	backgroundColor: '#fafafa',
	backgroundImage:'images/soort_bg.png',
	borderColor: '#a6a6a6',
	borderRadius: 5,
	borderWidth: 1,
	left: scale(5),
	top: scale(15),
	width: scale(150),
	height: scale(35),
	title: 'Mijn lijst',
	color: '#555',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue'}
});

favButton = Ti.UI.createButton({
	backgroundColor: '#e8e8e8',
	backgroundImage:'images/soort_bg.png',
	borderColor: '#a6a6a6',
	borderRadius: scale(5),
	borderWidth: 1,
	right: scale(5),
	top: scale(15),
	width: scale(150),
	height: scale(35),
	title: 'Favorieten',
	color: '#555',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue'}
});

lijstButton.addEventListener('touchstart',function(e){
	lijstButton.borderColor = '#6f6f6f';
});
lijstButton.addEventListener('touchend',function(e){
	lijstButton.borderColor = '#a6a6a6';
});

favButton.addEventListener('touchstart',function(e){
	favButton.borderColor = '#6f6f6f';
});
favButton.addEventListener('touchend',function(e){
	favButton.borderColor = '#a6a6a6';
});

lijstButton.addEventListener('click',function(){
	Ti.App.fireEvent('changewindow',{i:2});
});

soort.add(lijstButton);
soort.add(favButton);
currentWindow.add(soort);

var aanbiedingen = [];
var jeBespaart = 0.00;

var db = getDatabase();
var row = db.execute("SELECT id, afb, naam, description, voor, van FROM fav");

var count = 0;
while(row.isValidRow()){
	aanbiedingen[count] = [row.fieldByName('id'),'http://spider.aanbdng.info/images/product/square/'+row.fieldByName('afb')+'.jpg',row.fieldByName('naam'),row.fieldByName('description'),row.fieldByName('voor'),row.fieldByName('van')];
	count++;
	row.next();
}
row.close();

var data = [];
for(i=0;i<aanbiedingen.length;i++){
	if(typeof(aanbiedingen[i][5]) != 'undefined'){
		var row = Ti.UI.createTableViewRow({
			height:scale(65),
			backgroundImage:'images/offer_tablecell_background.png',
			backgroundSelectedImage:'images/offer_tablecell_background_selected.png'
		});
		row.className = 'aanbied';
		row.add(Ti.UI.createLabel({
			bottom:scale(7),
			left:scale(75),
			text:'Normaal:                         Nu:',
			color:'#555',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
		}));
		row.add(Ti.UI.createLabel({
			bottom:scale(7),
			left:scale(125),
			text:aanbiedingen[i][5],
			color:'#000',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		row.add(Ti.UI.createLabel({
			bottom:scale(8),
			right:scale(25),
			text:'€ '+aanbiedingen[i][4],
			color:'#fff',
			font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
	}else{
		var row = Ti.UI.createTableViewRow({
			height:scale(65),
			backgroundImage:'images/offer_tablecell__notag_background.png',
			backgroundSelectedImage:'images/offer_tablecell__notag_background_selected.png'
		});
		row.className = 'aanbiednotag';
	}
	row.aanbieding_id = aanbiedingen[i][0];
	row.add(Ti.UI.createImageView({
		image:aanbiedingen[i][1],
		preventDefaultImage:true,
		height:scale(64),
		width:scale(64),
		left:0,
		top:0
	}));
	row.add(Ti.UI.createLabel({
		top:scale(7),
		left:scale(75),
		right:scale(10),
		height:scale(22),
		text:aanbiedingen[i][2],
		ellipsize:true,
		color:'#000',
		font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
	}));
	data.push(row);
	productKorting = aanbiedingen[i][5]-aanbiedingen[i][4]; 
	netteKorting = Math.round(productKorting*100)/100;
	jeBespaart = jeBespaart+netteKorting;
}

tableView = Ti.UI.createTableView({
	data:data,
    top:scale(135),
    bottom:scale(45),
    separatorColor:'#d6d6d6',
    backgroundColor:'#d6d6d6',
	filterAttribute:'filter'
});

voordeel = Ti.UI.createView({
	top: scale(111),
	height: scale(25),
	backgroundColor: '#303030',
	left: 0,
	right: 0,
});

voordeel.add(Ti.UI.createLabel({
	text: 'Je bespaart op deze producten: € '+Math.round(jeBespaart*100)/100,
	color: '#fff',
	top: scale(3),
	left: scale(7),
	font: {fontSize:scale(12), fontFamily:'Helvitica Neue'}
}));

currentWindow.add(voordeel);

currentWindow.add(tableView);