/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

Ti.include('shared.js');

backknop(function(){
	Ti.App.fireEvent('changewindow',{i:8});
});


function createProductView(results){
	currentWindow = currentWindow;
	var jsonFeed = results[store_id]['offers'];
    var store_slug = results[store_id].store.slug;
    
    var cur_selected = 0;
    
    var views = [];
    for(var i in jsonFeed){
    	views[i] = ['#f00',jsonFeed[i].title,jsonFeed[i].image,jsonFeed[i].priceBefore,jsonFeed[i].priceAfter,"<p><img src='http://spider.aanbdng.info/images/product/square/"+jsonFeed[i].image+".jpg' align='left' height='96' width='96' />\r\n<b>"+jsonFeed[i].title+"</b> - \r\n"+jsonFeed[i].description+"\r\n</p>",jsonFeed[i].dateStart,jsonFeed[i].id];
    }

	var data = [];
	for(i=0;i<views.length;i++){
		var view = Ti.UI.createView({
			top:0,
			bottom:0,
			left:0,
			right:0
		});
		
		view.index = i;
		
		view.add(Ti.UI.createLabel({
			top:scale(7),
			left:scale(15),
			right:scale(15),
			text:views[i][1],
			textAlign:'left',
			color:'#000',
			wordWrap: false,
			font:{fontSize:scale(20), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		
		view.add(Ti.UI.createLabel({
			top:scale(49),
			left:scale(15),
			text:'Normaal:',
			textAlign:'left',
			color:'#555',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
		}));
		
		view.add(Ti.UI.createLabel({
			top:scale(49),
			left:scale(62),
			text:views[i][3],
			textAlign:'left',
			color:'#000',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		
		view.add(Ti.UI.createLabel({
			top:scale(49),
			right:scale(101),
			text:'Nu:',
			textAlign:'left',
			color:'#555',
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
		}));
		
		var priceTag = Ti.UI.createView({
			backgroundImage:'images/tag.png',
			top:scale(35),
			right:0,
			height:scale(28),
			width:scale(96),
		});
		priceTag.add(Ti.UI.createLabel({
			top:0,
			bottom:0,
			right:scale(30),
			text:'€ '+views[i][4],
			color:'#fff',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		view.add(priceTag);
		
		var webViewWrapper = Ti.UI.createView({
			bottom:scale(86),
			top:scale(70),
			left:0,
			right:0,
			backgroundColor:'#fff'
		});
		webViewWrapper.add(Ti.UI.createWebView({
			top:scale(5),
			bottom:scale(5),
			left:scale(5),
			right:scale(5),
			touchEnabled:false,
			html:'<html><head><style>html, body { font-size:12px;width:100%;overflow:hidden;margin:0;padding:0; }</style><meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=no;"/></head><body>'+views[i][5]+'</body></html>',
			backgroundColor:'#fff'
		}));
		view.add(webViewWrapper);
		
		view.add(Ti.UI.createLabel({
			bottom:scale(10),
			right:scale(120),
			left:0,
			textAlign:'right',
			text:'Korting:\nJe bespaart:\nGeldig t/m:\nWinkel:',
			color:'#555',
			font:{fontSize:scale(14), fontFamily:'Helvetica Neue'}
		}));
		
		if(views[i][3] == 0){
			var kortingInProcenten = 100;
			var kortingInEuros = views[i][4];
		}else{
			var kortingInProcenten = Math.round(((views[i][3]-views[i][4])/views[i][3])*100);
			var kortingInEuros = Math.round((views[i][3]-views[i][4])*100)/100;
		}
		
		var brokenDate = views[i][6].split('-');
		function stripCharacter(words,character) {
			var spaces = words.length;
			for(var x = 1; x<spaces; ++x){
				words = words.replace(character, "");
			}
			return words;
		}
		brokenDate[1] = stripCharacter(brokenDate[1],'0');
		var deMaanden = ['leeg','januari','februari','maart','april','mei','juni','juli','augustus','september','oktober','november','december'];
		
		view.add(Ti.UI.createLabel({
			bottom:scale(10),
			right:scale(15),
			width:scale(100),
			textAlign:'left',
			text: kortingInProcenten+' %\n€ '+kortingInEuros+'\n'+brokenDate[2]+' '+deMaanden[brokenDate[1]]+'\n ',
			color:'#000',
			font:{fontSize:scale(14), fontFamily:'Helvetica Neue',fontWeight:'bold'}
		}));
		
		view.add(Ti.UI.createView({
			backgroundImage:'http://www.aanbdng.info/images/stores/'+store_slug+'.png',
			bottom:scale(0),
			right:scale(87),
			height:scale(28),
			width:scale(28),
		}));
		
		data.push(view);
	}
	var detailView = Ti.UI.createView({
		backgroundColor:'#d6d6d6',
		top:0,
		bottom:scale(135),
		left:0,
		right:0
	});
	detailView.add(Ti.UI.createView({
		backgroundImage:'images/detailViewTop.png',
		top:0,
		left:0,
		right:0,
		height:scale(70),
		zIndex:1
	}));
	detailView.add(Ti.UI.createView({
		backgroundColor:'#9D9D9C',
		bottom:scale(85),
		left:0,
		right:0,
		height:scale(1),
		zIndex:1
	}));
	var knoppenOnderView = Ti.UI.createView({
		backgroundImage:'images/detailViewBottom.png',
		bottom:scale(45),
		left:0,
		right:0,
		height:scale(90),
		zIndex:1
	});
	
	var actieButtons = [
		['buy_slijterij_btn.png','Mijn Lijst'],
		['favorieten_slijterij_btn.png','Favorieten'],
		['winkels_slijterij_btn.png','Winkels'],
		['empty_slijterij_btn.png',false]
	];
	
	var knoppenOnderViewScroll = Ti.UI.createScrollView({
		height: scale(90),
		zIndex:2,
		scrollType: 'horizontal'
	});
	
	if(actieButtons.length == 4){
		var leftplus = 26;
	}else{
		var leftplus = 10;
	}

	for(var item in actieButtons){
		
		actieButton = Ti.UI.createImageView({
			image: 'images/Buttons_Aanbieding_Slijterij/'+actieButtons[item][0],
			width: scale(50),
			height: scale(50),
			opacity: 0.99,
			top: 10,
			left: scale((item*70)+leftplus)
		});
		actieButton.addEventListener('touchstart',function(e){
			e.source.opacity = 0.5;
			setTimeout(function(){ e.source.opacity = 0.99; },1000);
		});
		actieButton.addEventListener('touchend',function(e){
			e.source.opacity = 0.99;
		});
		if(actieButtons[item][1] == 'Winkels'){
			winkel_temp = store_afb;
			//msg(store_afb);
			actieButton.addEventListener('click',function(){
				winkels = winkel_temp;
				Ti.App.fireEvent('changewindow',{i:7});
			});
		}
		
		if(actieButtons[item][1] == 'Mijn Lijst'){
			actieButton.addEventListener('click',function(){
				var db = getDatabase();
				db.execute("INSERT INTO lijst (id, afb, naam, description, voor, van) VALUES ("+jsonFeed[cur_selected].id+",'"+jsonFeed[cur_selected].image+"','"+jsonFeed[cur_selected].title+"','"+jsonFeed[cur_selected].description+"',"+jsonFeed[cur_selected].priceAfter+","+jsonFeed[cur_selected].priceBefore+");");
				msg('Het product is toegevoegd aan uw lijstje');
			});
		}
		if(actieButtons[item][1] == 'Favorieten'){
			actieButton.addEventListener('click',function(){
				var db = getDatabase();
				db.execute("INSERT INTO fav (id, afb, naam, description, voor, van) VALUES ("+jsonFeed[cur_selected].id+",'"+jsonFeed[cur_selected].image+"','"+jsonFeed[cur_selected].title+"','"+jsonFeed[cur_selected].description+"',"+jsonFeed[cur_selected].priceAfter+","+jsonFeed[cur_selected].priceBefore+");");
				msg('Het product is toegevoegd aan uw favorieten');
			});
		}
		
		knoppenOnderViewScroll.add(actieButton);
		if(actieButtons[item][1] != false){
			knoppenOnderViewScroll.add(
				Ti.UI.createLabel({
					text: actieButtons[item][1],
					width: scale(60),
					top: scale(60),
					textAlign: 'center',
					color: '#333',
					font:{fontSize:scale(11), fontFamily:'Helvetica Neue'},
					left: scale((item*70)+(leftplus-5))
				})
			);
		}
	}
	
	knoppenOnderView.add(knoppenOnderViewScroll);
	
	currentWindow.add(detailView);
	currentWindow.add(knoppenOnderView);
	
	var scrollableView = Ti.UI.createScrollableView({
	    views:data,
	    currentPage:aanbieding_id,
	    top:0,
	    bottom:0,
	    left:0,
	    right:0,
	    showPagingControl:false,
	    zIndex:2
	});
	
	scrollableView.addEventListener('scroll',function(e){
		cur_selected = e.index;
	});
	
	detailView.add(scrollableView);
}
if(typeof(json_results) != 'undefined'){
	createProductView(json_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_all/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_results = JSON.parse(this.responseText);
		createProductView(json_results);
		loadInd.close();
	};
	jsonRequest.send();
}