/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

titleHolder  = title('Zoeken', true);
currentWindow.add(titleHolder);

soort = Ti.UI.createView({
	top: scale(47),
	left: 0,
	right: 0,
	height:scale(65),
	backgroundImage:'images/soort_bg.png',
});

zoekterm = Ti.UI.createTextField({
	top:scale(8),
	left:scale(10),
	right:scale(10),
	height:scale(55),
	hintText:'Uw zoekterm...',
	color:'#000',
	font:{fontSize:scale(14), fontFamily:'Helvetica Neue'}
});
zoekterm.addEventListener('return',function(){
	zoekopdracht = zoekterm.value;
	Ti.App.fireEvent('changewindow',{i:16});
});
soort.add(zoekterm);

currentWindow.add(soort);

function createStoreList(results){
	currentWindow = currentWindow;
	jsonFeed = results;
	
   	var stores = [];
   	stores[0] = ['Bier'];
   	stores[1] = ['Energydrinks'];
   	stores[2] = ['Frisdrank'];
   	stores[3] = ['Gedistilleerd'];
   	stores[4] = ['Likeur'];
   	stores[5] = ['Sap'];
   	stores[6] = ['Wijn'];

	var data = [];
	for(i=0;i<stores.length;i++){
		var row = Ti.UI.createTableViewRow({
			height:scale(65),
			backgroundImage:'images/store_tablecell_background.png',
			backgroundSelectedImage:'images/store_tablecell_background_selected.png'
		});
		row.className = 'store';
		row.zoekterm = stores[i][0];
		row.add(Ti.UI.createLabel({
			top:scale(17),
			left:scale(10),
			text:stores[i][0],
			color:'#000',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		data.push(row);
	}
	var tableView = Ti.UI.createTableView({
		data:data,
	    top:scale(111),
	    bottom:scale(45),
	    separatorColor:'#d6d6d6',
	    backgroundColor:'#d6d6d6',
		filterAttribute:'filter'
	});
	tableView.addEventListener('click',function(e){
		zoekopdracht = data[e.index].zoekterm;
		Ti.App.fireEvent('changewindow',{i:16});
	});
	currentWindow.add(tableView);
}

createStoreList();
