/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

Ti.include('shared.js');
backknop(function(){
	Ti.App.fireEvent('changewindow',{i:3});
});

titleHolder  = title('Zoekresultaten', true);
currentWindow.add(titleHolder);
msg('U zocht op: '+zoekopdracht);

function createItemList(results){
	currentWindow = currentWindow;
	zoekopdracht = zoekopdracht;
    var loadInd2 = msg('Gegevens ophalen...',true);
    var jsonRequest = Ti.Network.createHTTPClient();
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_search/'+zoekopdracht+'/json/');
	jsonRequest.onload = function() {
		var top25Feed = eval('(' + this.responseText + ')');
		loadInd2.close();
		
	    var aanbiedingen = [];
	    var top25 = [];
	    
	    //for(var i in top25Feed){
	    //	top25[top25Feed[i].id] = parseInt(i);
	    //}
            for(var i in top25Feed){
    	    	for(var j in top25Feed[i]['offers']){
           	       top25[top25Feed[i]['offers'][j].id] = parseInt(i+'0'+j);
           	       //msg(parseInt(i+'0'+j));
        	}
     	   }
	    
	    for(var store_id_temp in results){
	    	jsonFeed = results[store_id_temp]['offers'];
		    for(var h in jsonFeed){
		    	if(typeof(top25[jsonFeed[h].id]) != 'undefined'){
		    		// ID - Afb - Naam - Description - Voor - Van
		    		j = top25[jsonFeed[h].id];
		    		aanbiedingen[j] = [h,store_id_temp,results[store_id_temp].store.slug,results[store_id_temp].store.name,jsonFeed[h].image,jsonFeed[h].title,jsonFeed[h].description,jsonFeed[h].priceAfter,jsonFeed[h].priceBefore];
		    	}
		    }
	    }
		
		var data = [];
		for(i=0;i<aanbiedingen.length;i++){
			if(typeof(aanbiedingen[i]) != 'undefined'){
				var row = Ti.UI.createTableViewRow({
					height:scale(65),
					backgroundImage:'images/offer_tablecell_background.png',
					backgroundSelectedImage:'images/offer_tablecell_background_selected.png'
				});
				row.className = 'aanbied';
				if(typeof(aanbiedingen[i][8]) != 'undefined'){
					row.add(Ti.UI.createLabel({
						bottom:scale(7),
						left:scale(85),
						text:'Normaal:             Nu:',
						color:'#555',
						font:{fontSize:scale(10), fontFamily:'Helvetica Neue'}
					}));
					row.add(Ti.UI.createLabel({
						bottom:scale(7),
						left:scale(130),
						text:aanbiedingen[i][8],
						color:'#000',
						font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
					}));
				}
				/*
				row.add(Ti.UI.createLabel({
					bottom:scale(2),
					left:scale(80),
					width:scale(24),
					text:parseInt(i+1)+'',
					color:'#fff',
					textAlign:'center',
					font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
				}));
				*/
				row.add(Ti.UI.createLabel({
					bottom:scale(8),
					right:scale(25),
					text:'€ '+aanbiedingen[i][7],
					color:'#fff',
					font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
				}));
				row.aanbieding_id = aanbiedingen[i][0];
				row.store_id = aanbiedingen[i][1];
				row.store_slug = aanbiedingen[i][2];
				row.store_name = aanbiedingen[i][3];
				row.add(Ti.UI.createImageView({
					image:'http://spider.aanbdng.info/images/product/square/'+aanbiedingen[i][4]+'.jpg',
					preventDefaultImage:true,
					height:scale(64),
					width:scale(64),
					left:0,
					top:0
				}));
				row.add(Ti.UI.createLabel({
					top:scale(7),
					left:scale(85),
					right:scale(10),
					height:scale(22),
					text:aanbiedingen[i][5],
					ellipsize:true,
					color:'#000',
					font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
				}));
				data.push(row);
			}
		}
		tableView = Ti.UI.createTableView({
			data:data,
		    top:scale(45),
		    bottom:scale(45),
		    separatorColor:'#d6d6d6',
		    backgroundColor:'#d6d6d6',
			filterAttribute:'filter'
		});
		currentWindow.add(tableView);
	
		tableView.addEventListener('click',function(e){
			aanbieding_id = data[e.index].aanbieding_id;
			store_id = data[e.index].store_id;
			store_name = data[e.index].store_name;
			store_slug = data[e.index].store_slug;
			Ti.App.fireEvent('changewindow',{i:12});
		});
	}
	jsonRequest.send();
}
if(typeof(json_results) != 'undefined'){
	createItemList(json_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_all/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_results = JSON.parse(this.responseText);
		createItemList(json_results);
		loadInd.close();
	};
	jsonRequest.send();
}