/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
titleHolder = title(store_name,true);
top10 = Ti.UI.createView({
	backgroundImage:'images/top10.png',
	backgroundSelectedImage:'images/top10_selected.png',
	top:scale(5),
	right:scale(5),
	width:scale(107),
	height:scale(35)
});
top10.addEventListener('click',function(){
	Ti.App.fireEvent('changewindow',{i:11});
});
titleHolder.add(top10);
currentWindow.add(titleHolder);

backknop(function(){
	Ti.App.fireEvent('changewindow',{i:0});
});


function createItemList(results){
	currentWindow = currentWindow;
    jsonFeed = results[store_id]['offers'];
    
    var aanbiedingen = [];
    for(var i in jsonFeed){
    	// ID - Afb - Naam - Description - Voor - Van
    	aanbiedingen[i] = [i,jsonFeed[i].image,jsonFeed[i].title,jsonFeed[i].description,jsonFeed[i].priceAfter,jsonFeed[i].priceBefore];
    }
	
	var data = [];
	for(i=0;i<aanbiedingen.length;i++){
		if(typeof(aanbiedingen[i][5]) != 'undefined'){
			var row = Ti.UI.createTableViewRow({
				height:scale(65),
				backgroundImage:'images/offer_tablecell_background.png',
				backgroundSelectedImage:'images/offer_tablecell_background_selected.png'
			});
			row.className = 'aanbied';
			row.add(Ti.UI.createLabel({
				bottom:scale(7),
				left:scale(75),
				text:'Normaal:                         Nu:',
				color:'#555',
				font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
			}));
			row.add(Ti.UI.createLabel({
				bottom:scale(7),
				left:scale(125),
				text:aanbiedingen[i][5],
				color:'#000',
				font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
			row.add(Ti.UI.createLabel({
				bottom:scale(8),
				right:scale(25),
				text:'€ '+aanbiedingen[i][4],
				color:'#fff',
				font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
		}else{
			var row = Ti.UI.createTableViewRow({
				height:scale(65),
				backgroundImage:'images/offer_tablecell__notag_background.png',
				backgroundSelectedImage:'images/offer_tablecell__notag_background_selected.png'
			});
			row.className = 'aanbiednotag';
		}
		row.aanbieding_id = aanbiedingen[i][0];
		row.add(Ti.UI.createImageView({
			image:'http://spider.aanbdng.info/images/product/square/'+aanbiedingen[i][1]+'.jpg',
			preventDefaultImage:true,
			height:scale(64),
			width:scale(64),
			left:0,
			top:0
		}));
		row.add(Ti.UI.createLabel({
			top:scale(7),
			left:scale(75),
			right:scale(10),
			height:scale(22),
			text:aanbiedingen[i][2],
			ellipsize:true,
			color:'#000',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		data.push(row);
	}
	tableView = Ti.UI.createTableView({
		data:data,
	    top:scale(45),
	    bottom:scale(45),
	    separatorColor:'#d6d6d6',
	    backgroundColor:'#d6d6d6',
		filterAttribute:'filter'
	});
	currentWindow.add(tableView);
	
	tableView.addEventListener('click',function(e){
		aanbieding_id = data[e.index].aanbieding_id;
		store_afb = store_afb;
		Ti.App.fireEvent('changewindow',{i:12});
	});
	//msg('Je klikte op ID '+store_id);
}

if(typeof(json_results) != 'undefined'){
	createItemList(json_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_all/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_results = JSON.parse(this.responseText);
		createItemList(json_results);
		loadInd.close();
	};
	jsonRequest.send();
}