/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
titleHolder = title('10 populairste aanbiedingen');

backknop(function(){
	Ti.App.fireEvent('changewindow',{i:8});
});

function createItemList(results){
	currentWindow = currentWindow;
    var jsonFeed = results[store_id]['offers'];
    var loadInd2 = msg('Gegevens ophalen...',true);
    var jsonRequest = Ti.Network.createHTTPClient();
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_top/'+store_slug+'/json?top=10');
	jsonRequest.onload = function() {
		var top25Feed = eval('(' + this.responseText + ')');
		loadInd2.close();
		
	    var aanbiedingen = [];
	    var top25 = [];
	    
	    for(var i in top25Feed){
	    	top25[top25Feed[i].id] = parseInt(i);
	    }
	    
	    for(var i in jsonFeed){
	    	if(typeof(top25[jsonFeed[i].id]) != 'undefined'){
	    		// ID - Afb - Naam - Description - Voor - Van
	    		j = top25[jsonFeed[i].id];
	    		
	    		aanbiedingen[j] = [i,jsonFeed[i].image,jsonFeed[i].title,jsonFeed[i].description,jsonFeed[i].priceAfter,jsonFeed[i].priceBefore];
	    	}
	    }
		
		var data = [];
		for(i=0;i<10;i++){
			var row = Ti.UI.createTableViewRow({
				height:scale(65),
				backgroundImage:'images/offer_top25_tablecell_background.png',
				backgroundSelectedImage:'images/offer_top25_tablecell_background_selected.png'
			});
			row.className = 'top25';
			if(typeof(aanbiedingen[i][5]) != 'undefined'){
				row.add(Ti.UI.createLabel({
					bottom:scale(7),
					left:scale(115),
					text:'Normaal:             Nu:',
					color:'#555',
					font:{fontSize:scale(10), fontFamily:'Helvetica Neue'}
				}));
				row.add(Ti.UI.createLabel({
					bottom:scale(7),
					left:scale(158),
					text:aanbiedingen[i][5],
					color:'#000',
					font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
				}));
			}
			row.add(Ti.UI.createLabel({
				bottom:scale(2),
				left:scale(80),
				width:scale(24),
				text:parseInt(i+1)+'',
				color:'#fff',
				textAlign:'center',
				font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
			row.add(Ti.UI.createLabel({
				bottom:scale(8),
				right:scale(25),
				text:'€ '+aanbiedingen[i][4],
				color:'#fff',
				font:{fontSize:scale(18), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
			row.aanbieding_id = aanbiedingen[i][0];
			row.add(Ti.UI.createImageView({
				image:'http://spider.aanbdng.info/images/product/square/'+aanbiedingen[i][1]+'.jpg',
				preventDefaultImage:true,
				height:scale(64),
				width:scale(64),
				left:0,
				top:0
			}));
			row.add(Ti.UI.createLabel({
				top:scale(7),
				left:scale(75),
				right:scale(10),
				height:scale(22),
				text:aanbiedingen[i][2],
				ellipsize:true,
				color:'#000',
				font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
			}));
			data.push(row);
		}
		tableView = Ti.UI.createTableView({
			data:data,
		    top:scale(45),
		    bottom:scale(45),
		    separatorColor:'#d6d6d6',
		    backgroundColor:'#d6d6d6',
			filterAttribute:'filter'
		});
		currentWindow.add(tableView);
	
		tableView.addEventListener('click',function(e){
			aanbieding_id = parseInt(data[e.index].aanbieding_id);
			Ti.App.fireEvent('changewindow',{i:12});
		});
	}
	jsonRequest.send();
}
if(typeof(json_results) != 'undefined'){
	createItemList(json_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_all/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_results = JSON.parse(this.responseText);
		createItemList(json_results);
		loadInd.close();
	};
	jsonRequest.send();
}