/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
 
var mainview = false;

//Tabs: Titel, Afbeelding, windowsData-index
var tabsData = [['Aanbieding','tabOffers.png',0,{'0':1,'8':1,'10':1,'11':1,'12':1}], ['Nieuw','tabNew.png',1,{'1':1,'9':1,'13':1,'14':1}],['Lijstje','tabList.png',2,{'2':1}],['Zoek','tabSearch.png',3,{'3':1}]/*,['Instellingen','tabSettings.png',4,{'4':1}]*/];

var windowsData = ['aanbieding_stores.js','nieuw_cat.js','lijstje.js','zoek.js','instellingen.js','info.js','contact.js','winkels.js','aanbieding_products.js','nieuw_products.js','aanbieding_top25.js','aanbieding_top10.js','product.js','product_nieuw.js','nieuw_coupon.js','favorieten.js','zoekresultaten.js','mail_lijstje.js'];
var windowsCurr = (windowsData.length+1);
var mainview = false;

//Belangrijke variabelen:
var store_id = 0;
var aanbieding_id = 0;
var store_name = '';
var store_slug = '';
var category_id = 0;
var nieuw_id = 0;
var winkels = '';
var coupon = [];
var blockback = false;

var mainmenu = Ti.UI.createWindow({
	backgroundColor:'#fafafa',
	fullscreen:true,
	navBarHidden:true,
	exitOnClose:true
});

var mainwindow = Ti.UI.createWindow({
	backgroundImage:'images/background@2x.png',
	fullscreen:true,
	navBarHidden:true
});
var memPool = Ti.UI.createWindow();
memPool.open();
memPool.hide();

mainwindow.addEventListener('close',function(){ windowsCurr = (windowsData.length+1); });

var platformWidth = Ti.Platform.displayCaps.platformWidth;
var platformHeight = Ti.Platform.displayCaps.platformHeight;

var db = Ti.Database.open('aanbieding');
Ti.include('shared.js');

/* Tabs */
var tabGroup = Ti.UI.createView({
	bottom:0,
	height:scale(60),
	backgroundImage:'images/tab_bg.png',
	left:0,	
	right:0,
	zIndex:2,
	layout:'horizontal'	
});

tabWidth = parseInt(platformWidth/4);
var tabs = [];

for(var t1 in tabsData){
	tab = Ti.UI.createView({
		top:scale(15),
		height:scale(45),
		width:tabWidth,
		wdindex:tabsData[t1][3],
		sindex:tabsData[t1][2],
		bottom:0,
		opacity:1.0
	});
	
	tab.add(Ti.UI.createImageView({
		top:scale(3),
		width:scale(24),
		height:scale(24),
		touchEnabled:false,
		image:'images/tabbar/'+tabsData[t1][1]
	}));

	tab.add(Titanium.UI.createLabel({
		bottom:scale(3),
		left:0,
		right:0,
		text:tabsData[t1][0],
		font:{fontSize:scale(11), fontFamily:'Helvetica Neue'},
		color:'#fff',
		touchEnabled:false,
		textAlign:'center'
	}));
	tab.addEventListener('click',function(e){
		Ti.App.fireEvent('changewindow',{i:e.source.sindex});
	});
	tabs.push(tab);
	tabGroup.add(tab);
}
mainwindow.add(tabGroup);

/* Windows */
function openWindow(e) {
	i = e.i;
	if(i != windowsCurr){
		if(mainview != false){
			mainwindow.remove(mainview);
			mainwindow.open();
			memPool.add(mainview);
			memPool.close();
			memPool = Ti.UI.createWindow();
		    memPool.open();
		    memPool.hide();
		}else{
			mainwindow.open();
		}
		
		backknop(false);
		
		for(var t2 in tabs){
			if(tabs[t2].wdindex[i]){
				tabs[t2].backgroundImage = 'images/tab_selected.png';
			}else{
				tabs[t2].backgroundImage = '';
			}
		}
		
		windowsCurr = i;
		
		mainview = Ti.UI.createView({
			top:0,
			bottom:0,
			left:0,
			right:0,
			zIndex:1
		});
		mainwindow.add(mainview);
		currentWindow = mainview;
		
		Ti.include(windowsData[i]);
	}
}

Ti.App.addEventListener('changewindow', openWindow);
mainmenu.addEventListener('android:search',function(){ Ti.App.fireEvent('changewindow',{i:3}); });
mainwindow.addEventListener('android:search',function(){ Ti.App.fireEvent('changewindow',{i:3}); });
Ti.include('main_menu.js');