/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
var win = currentWindow; 

title('Info');

var infoScroll = Ti.UI.createScrollView({
	top:0,
	bottom:0,
	left:0,
	right:0,
	backgroundColor:'#d6d6d6',
	zIndex:1
});
var infoView = Ti.UI.createView({
	top:0,
	left:0,
	right:0
});

infoView.add(Ti.UI.createLabel({
	top:scale(65),
	left:scale(15),
	text:'Uitleg over de functies achter elke knop',
	color:'#000',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue', fontWeight:'bold'}
}));

infoView.add(Ti.UI.createView({
	top:scale(100),
	left:0,
	right:0,
	height:scale(2),
	backgroundColor:'#999'
}));

var curRegel = 0;
function uitlegRegel(afbeelding, titel, tekst){
	infoView.add(Ti.UI.createImageView({
		image:'images/Buttons_Aanbieding_Slijterij/'+afbeelding,
		width:scale(50),
		height:scale(50),
		top:scale(110+(curRegel*70)),
		left:scale(15)
	}));
	infoView.add(Ti.UI.createLabel({
		top:scale(115+(curRegel*70)),
		left:scale(75),
		right:scale(15),
		text:titel,
		color:'#000',
		font:{fontSize:scale(11), fontFamily:'Helvetica Neue', fontWeight:'bold'}
	}));
	infoView.add(Ti.UI.createLabel({
		top:scale(132+(curRegel*70)),
		left:scale(75),
		right:scale(15),
		text:tekst,
		color:'#000',
		font:{fontSize:scale(11), fontFamily:'Helvetica Neue',}
	}));
	curRegel++;
}

uitlegRegel('aanbiedingen_slijterij_btn.png','Aanbieding','Ga naar het overzicht van Aanbiedingen');
uitlegRegel('nieuw_slijterij_btn.png','Nieuw','Ga naar het overzicht van nieuwe producten');
uitlegRegel('winkels_slijterij_btn.png','Winkels','Vind de dichtstbijzijnde winkel waar het product te koop is');
uitlegRegel('list_slijterij_btn.png','Mijn lijst','Zie een lijst met je favoriete producten of maak een boodschappenlijst');
uitlegRegel('zoek_slijterij_btn.png','Zoek','Zoek naar je favoriete product of merk in de aanbieding');
uitlegRegel('instellingen_slijterij_btn.png','Instellingen','Pas de zoekinstellingen aan');
uitlegRegel('info_slijterij_btn.png','Info','Lees informatie over de Aanbieding apps');
uitlegRegel('contact_slijterij_btn.png','Contact','Neem contact op met het team achter de app');
uitlegRegel('web_slijterij_btn.png','Web','Ga naar de bijbehorende website');
uitlegRegel('video_slijterij_btn.png','Video','Ga naar de bijbehorende video');
uitlegRegel('app_slijterij_btn.png','App','Download de bijbehorende mobiele applicatie');
uitlegRegel('favorieten_slijterij_btn.png','Favorieten','Voeg het product toe aan je favorieten lijst');
uitlegRegel('buy_slijterij_btn.png','Kopen','Koop het product');
uitlegRegel('facebook_slijterij_btn.png','Facebook','Ga naar een bijbehorende Facebook pagina');
uitlegRegel('twitter_slijterij_btn.png','Twitter','Ga naar een bijbehorende Twitter pagina');

infoView.add(Ti.UI.createView({
	top:scale(110+(curRegel*70)),
	left:0,
	right:0,
	height:scale(2),
	backgroundColor:'#999'
}));

anderAppsHolder = Ti.UI.createView({
	top:scale(130+(curRegel*70)),
	left:scale(15),
	right:scale(15),
	height:scale(60)
})

anderAppsHolder.add(Ti.UI.createImageView({
	left:0,
	image:'images/info/info_icon_01@2x.png',
	height:scale(64),
	width:scale(64)
}));

anderAppsHolder.add(Ti.UI.createImageView({
	left:scale(72),
	image:'images/info/info_icon_02@2x.png',
	height:scale(64),
	width:scale(64)
}));

anderAppsHolder.add(Ti.UI.createLabel({
	top:scale(7),
	right:0,
	width:scale(145),
	text:'Andere Aanbieding Apps',
	color:'#000',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue', fontWeight:'bold'}
}));
anderAppsHolder.add(Ti.UI.createLabel({
	top:scale(22),
	right:0,
	width:scale(145),
	text:'for more information visit',
	color:'#000',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue'}
}));
anderAppsHolder.add(Ti.UI.createLabel({
	top:scale(37),
	right:0,
	width:scale(145),
	text:'www.aanbiedingapp.nl',
	color:'#0026FF',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue'}
}));
anderAppsHolder.addEventListener('click',function(){
	Ti.Platform.openURL('http://www.aanbiedingapp.nl/');
});
infoView.add(anderAppsHolder);

infoView.add(Ti.UI.createView({
	top:scale(210+(curRegel*70)),
	left:0,
	right:0,
	height:scale(2),
	backgroundColor:'#999'
}));

infoView.add(Ti.UI.createLabel({
	top:scale(230+(curRegel*70)),
	left:scale(15),
	text:'Disclaimer',
	color:'#000',
	font:{fontSize:scale(20), fontFamily:'Helvetica Neue', fontWeight:'bold'}
}));

infoView.add(Ti.UI.createLabel({
	top:scale(260+(curRegel*70)),
	left:scale(15),
	right:scale(15),
	text:'Er kan aan de informatie en/of de aanbiedingen uit deze applicatie geen rechten worden ontleend. De weergegeven prijzen en voorwaarden kunnen aan verandering onderhevig zijn. Applicatie statistieken worden gebruikt ter verbetering van de gebruikerservaring.',
	color:'#000',
	font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
}));

infoView.add(Ti.UI.createLabel({
	top:scale(350+(curRegel*70)),
	left:scale(15),
	right:scale(15),
	text:'Aanbieding is een product van',
	color:'#000',
	font:{fontSize:scale(11), fontFamily:'Helvetica Neue'}
}));

infoView.add(Ti.UI.createLabel({
	top:scale(367+(curRegel*70)),
	left:scale(15),
	right:scale(15),
	text:'Syndicate Plus.',
	color:'#000',
	font:{fontSize:scale(12), fontFamily:'Helvetica Neue', fontWeight:'bold'}
}));

poweredBy = Ti.UI.createImageView({
	top:scale(350+(curRegel*70)),
	right:scale(15),
	width:scale(120),
	height:scale(37),
	image:'images/info/powered_by_icon@2x.png'
});
poweredBy.addEventListener('click',function(){
	Ti.Platform.openURL('http://www.syndicateplus.com/');
});
infoView.add(poweredBy);

infoView.add(Ti.UI.createView({
	top:scale(480+(curRegel*70)),
	left:0,
	right:0,
	height:scale(2),
	backgroundColor:'#d6d6d6'
}));

infoScroll.add(infoView);
win.add(infoScroll);