/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

function addKnop(rij,positie,tekst,afbeelding,window){
	var knop = Ti.UI.createImageView({
		image:'images/Buttons_Aanbieding_Slijterij/'+afbeelding,
		width:scale(64),
		height:scale(64),
		opacity:0.99,
		top:scale(12+(rij*102))
	});
	knop.addEventListener('touchstart',function(e){
		e.source.opacity = 0.5;
		setTimeout(function(){ e.source.opacity = 0.99; },1000);
	});
	knop.addEventListener('touchend',function(e){
		e.source.opacity = 0.99;
	});
	if(typeof(window) != 'undefined'){
		knop.addEventListener('click',function(){
			Ti.App.fireEvent('changewindow',{i:window});
		});
	}
	if(tekst != false){
		var text = Ti.UI.createLabel({
			text:tekst,
			font:{fontSize:scale(11), fontFamily:'Helvetica Neue',fontWeight:'bold'},
			width:scale(96),
			color:'#333',
			textAlign:'center',
			top:scale(78+(rij*102))
		});
	}
	if(positie == 0){
		knop.left = scale(32);
		if(tekst != false){ text.left = scale(16); }
	}else if(positie == 2){
		knop.right = scale(32);
		if(tekst != false){ text.right = scale(16); }
	}
	mainmenutop.add(knop);
	if(tekst != false){
		mainmenutop.add(text);
	}
}

mainmenutop = Ti.UI.createView({
	top:0,
	left:0,
	right:0,
	height:scale(307),
	backgroundImage:'images/first_screen_top_bg.png',
	zIndex:1
});

/*
addKnop(0,0,'Aanbiedingen','aanbiedingen_food_btn.png',0);
addKnop(0,1,'Nieuw','nieuw_food_btn.png',1);
addKnop(0,2,'Winkels','winkels_food_btn.png',7);

addKnop(1,0,'Mijn lijst','list_food_btn.png',2);
addKnop(1,1,'Zoek','zoek_food_btn.png',3);
addKnop(1,2,'Instellingen','instellingen_food_btn.png',4);

addKnop(2,0,'Contact','contact_food_btn.png',6);
addKnop(2,1,'Info','info_food_btn.png',5);
addKnop(2,2,false,'empty_food_btn.png');
*/

addKnop(0,0,'Aanbiedingen','aanbiedingen_slijterij_btn.png',0);
addKnop(0,1,'Nieuw','nieuw_slijterij_btn.png',1);
addKnop(0,2,'Winkels','winkels_slijterij_btn.png',7);

addKnop(1,0,'Mijn lijst','list_slijterij_btn.png',2);
addKnop(1,1,'Zoek','zoek_slijterij_btn.png',3);
addKnop(1,2,'Contact','contact_slijterij_btn.png',6);

addKnop(2,0,'Info','info_slijterij_btn.png',5);
addKnop(2,1,false,'empty_slijterij_btn.png');
addKnop(2,2,false,'empty_slijterij_btn.png');

var mainmenubottom = Ti.UI.createView({
	backgroundImage:'images/first_screen_bottom_bg.png',
	left:0,
	right:0,
	bottom:0,
	height:scale(157),
	zIndex:2
})

mainmenu.add(mainmenutop);
mainmenu.add(mainmenubottom);

function addBanner(bannerdata,mainmenubottom){
	if(typeof(bannerdata[0]) != 'undefined' && bannerdata[0].banner._banner == "TRUE"){
		mainmenubottom.add(Ti.UI.createImageView({
			image:'http://spider.aanbdng.info/images/banner/'+bannerdata[0].banner._image,
			preventDefaultImage:true,
			width:scale(320),
			height:scale(152),
			bottom:0
		}));
		mainmenubottom.addEventListener('click',function(){
			Ti.Platform.openURL(bannerdata[0].banner._url);
		});
	}else{
		mainmenubottom.add(Ti.UI.createImageView({
			image:'images/first_screen_slijterij_logo.png',
			width:scale(320),
			height:scale(152),
			bottom:0
		}));
	}
}

mainmenu.open();
if(typeof(bannerdata) != 'undefined'){
	addBanner(bannerdata,mainmenubottom);
}else{
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/banner/json');
	jsonRequest.onerror = function(e) {
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		var bannerdata = eval('(' + this.responseText + ')');
		addBanner(bannerdata,mainmenubottom);
	};
	jsonRequest.send();
}