/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/

backknop(function(){
	Ti.App.fireEvent('changewindow',{i:1});
});

function createProducts(results){
	var data = [];
	var jsonFeed = results[category_id].newItems
	var nieuw = [];
	
	if(jsonFeed.length == 1){
		nieuw_id = 0;
		blockback = true;
		Ti.App.fireEvent('changewindow',{i:13});
		return;
	}
	
	for(var i in jsonFeed){
    	nieuw[i] = [i,jsonFeed[i].image,jsonFeed[i].name,jsonFeed[i].brand];
    }
	
	title(results[category_id].category.name);
	
	for(i=0;i<nieuw.length;i++){
		var row = Ti.UI.createTableViewRow({
			height:scale(65),
			backgroundImage:'images/newitem_tablecell_background.png',
			backgroundSelectedImage:'images/newitem_tablecell_background_selected.png'
		});
		row.className = 'nieuw';
		row.nieuw_id = nieuw[i][0];
		row.add(Ti.UI.createImageView({
			image:'http://spider.aanbdng.info/images/product/square/'+nieuw[i][1]+'.jpg',
			preventDefaultImage:true,
			height:scale(64),
			width:scale(64),
			left:0,
			top:0
		}));
		row.add(Ti.UI.createLabel({
			top:scale(7),
			left:scale(75),
			right:scale(10),
			height:scale(22),
			text:nieuw[i][2],
			ellipsize:true,
			color:'#000',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue', fontWeight:'bold'}
		}));
		row.add(Ti.UI.createLabel({
			bottom:scale(5),
			left:scale(75),
			text:nieuw[i][3],
			color:'#000',
			font:{fontSize:scale(16), fontFamily:'Helvetica Neue'}
		}));
		data.push(row);
	}
	tableView = Ti.UI.createTableView({
		data:data,
	    top:scale(45),
	    bottom:scale(45),
	    separatorColor:'#d6d6d6',
	    backgroundColor:'#d6d6d6',
		filterAttribute:'filter'
	});
	currentWindow.add(tableView);
	
	tableView.addEventListener('click',function(e){
		nieuw_id = parseInt(data[e.index].nieuw_id);
		Ti.App.fireEvent('changewindow',{i:13});
	});
}
if(typeof(json_new_results) != 'undefined'){
	createProducts(json_new_results);
}else{
	var loadInd = msg('Gegevens ophalen...',true);
	var json_new_results = false;
	var jsonRequest = Ti.Network.createHTTPClient(); 
	jsonRequest.open('GET', 'http://api4.aanbdng.info/s_newItems/json');
	jsonRequest.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest.onload = function() {
		currentWindow = currentWindow;
		json_new_results = JSON.parse(this.responseText);
		createProducts(json_new_results);
		loadInd.close();
	};
	jsonRequest.send();
}