/**
 * @author Prodes | Internet Partner
 * @site www.prodes.nl
 * @copyright 2011
 **/
title('Winkels');
Titanium.Geolocation.getCurrentPosition(function(e){
	if (e.error){
		msg(e.error.message);
		return;
	}
	 
	var longitude = e.coords.longitude;
	var latitude = e.coords.latitude;
	var altitude = e.coords.altitude;
	var heading = e.coords.heading;
	var accuracy = e.coords.accuracy;
	var speed = e.coords.speed;
	var timestamp = e.coords.timestamp;
	var altitudeAccuracy = e.coords.altitudeAccuracy;
	
	var mapview2 = Ti.Map.createView({
		top:scale(45),
		bottom:scale(45),
		left:0,
		right:0,
		mapType: Ti.Map.STANDARD_TYPE,
		region: {
			latitude:latitude, longitude:longitude,
			latitudeDelta:0.1, longitudeDelta:0.1
		},
		animate:true,
		regionFit:true,
		userLocation:true
	});
	
	var loadInd = msg('Opzoeken van winkels in de buurt..',true);
	var json_new_results = false;
	var jsonRequest2 = Ti.Network.createHTTPClient();
	if(winkels != ''){
		winkels_select = '&select='+winkels;
	}else{
		winkels_select = '';
	}
	jsonRequest2.open('GET', 'http://api4.aanbdng.info/s_findStores/json?lat='+latitude+'&lng='+longitude+winkels_select+'&dist=3');
	jsonRequest2.onerror = function(e) {
		loadInd.close();
		msg("Error: " + e.error);
	};
	jsonRequest2.onload = function() {
		mapmarkers2 = JSON.parse(this.responseText);
		for(item in mapmarkers2){
			mapview2.addAnnotation(Ti.Map.createAnnotation({
				latitude:mapmarkers2[item].store.lat,
				longitude:mapmarkers2[item].store.lng,
				title:mapmarkers2[item].store.name,
				subtitle:mapmarkers2[item].store.street,
				image:'images/stores/'+mapmarkers2[item].store.slug+'.png',
				//pincolor: Titanium.Map.ANNOTATION_RED,
				animate:true
			}));
		}
		loadInd.close();
		winkels = '';
	};
	currentWindow.add(mapview2);
	jsonRequest2.send();
});